Bug 187598 - nautilus fails on EEXIST when copying
nautilus fails on EEXIST when copying
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 11:04 EST by Vladimir Kotal
Modified: 2015-03-03 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:44:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f -F -p <nautilus_pid> (7.00 KB, application/octet-stream)
2006-04-01 11:06 EST, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2006-04-01 11:04:13 EST
Description of problem:

when copying files from case-sensitive filesystem to case-insensitive filesystem (e.g. from ext3 to USB 
disk) nautilus dies on EEXIST silently when "existing" file is detected.

Version-Release number of selected component (if applicable):

nautilus-2.14.0-1

How reproducible:

by creating two files which differ only in one letter - one file has lower letter, second has upper letter 
and copying the files from case-sensitive FS to case-insensitive FS.

Steps to Reproduce:
1. create two files on case-sensitive FS, e.g. "One.txt" and "one.txt"
2. copy these two files via nautilus to case-insensitive FS
  
Actual results:

nautilus dies upon EEXIST silently

Expected results:

nautilus should prompt user what to do (overwrite/skip/cancel)

Additional info:

Description of my setup:

I was copying my mp3 albums to backup USB disk. One of the albums has following files in it:

[root@erazim Bachelor No. 2-cd1]# ls -al
total 71324
drwxrwxr-x 2 techie lidi    4096 Sep  2  2004 .
drwxrwxr-x 4 techie lidi    4096 Nov 12 22:33 ..
-rwxrwxr-x 1 techie lidi 5988833 Nov 12 22:35 Calling It Quits.mp3
-rwxrwxr-x 1 techie lidi 8069025 Nov 12 22:35 Deathly.mp3
-rwxrwxr-x 1 techie lidi 5503068 Nov 12 22:35 Driving Sideways.mp3
-rwxrwxr-x 1 techie lidi 5039678 Nov 12 22:35 Ghost World.mp3
-rwxrwxr-x 1 techie lidi 3631104 Nov 12 22:35 How Am I Different.mp3
-rwxrwxr-x 1 techie lidi 5904408 Nov 12 22:35 It Takes All Kinds.mp3
-rwxrwxr-x 1 techie lidi 1983078 Nov 12 22:35 Just Like Anyone.mp3
-rwxrwxr-x 1 techie lidi 4545364 Nov 12 22:35 Nothing is Good Enough.mp3
-rwxrwxr-x 1 techie lidi 5377257 Nov 12 22:35 Red Vines.mp3
-rwxrwxr-x 1 techie lidi 5992448 Nov 12 22:35 Satellite.mp3
-rwxrwxr-x 1 techie lidi 5547509 Nov 12 22:35 Susan.mp3
-rwxrwxr-x 1 techie lidi 4483328 Nov 12 22:35 The Fall of the World's Ow.mp3
-rwxrwxr-x 1 techie lidi 5314688 Nov 12 22:35 You do.mp3
-rwxrwxr-x 1 techie lidi 5400399 Nov 12 22:35 You Do.mp3

- notice the last two files

I was copying the files via nautilus and when it detected that one of the files exist on USB disk (which 
has case-insenstive FS on it), it silently exited so the rest of mp3 albums was not copied (which is really 
undesirable since I wanted to backup all of the albums)

nautilus died with the messages stored in nautilus-copy-fail.log (attached)
Comment 1 Vladimir Kotal 2006-04-01 11:06:15 EST
Created attachment 127177 [details]
strace -f -F -p <nautilus_pid>
Comment 2 Bug Zapper 2008-04-03 22:30:08 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:44:14 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.